Results 1 to 9 of 9

Thread: Leap 15 - no python-MySQL-python

  1. #1

    Default Leap 15 - no python-MySQL-python

    It looks like python-MySQL-python exists for 42.3, but not for 15. Is this expected or intentional?

  2. #2
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    10,935
    Blog Entries
    2

    Default Re: Leap 15 - no python-MySQL-python

    Unknown,
    But you should submit a request to have it built for LEAP 15 at https://bugzilla.opensuse.org

    TSU
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

  3. #3

    Default Re: Leap 15 - no python-MySQL-python

    I see this ticket: https://bugzilla.opensuse.org/show_bug.cgi?id=1074660
    This seems to be the right ticket. But, the 'Beta' (and SLES) designation suggest this may not apply.
    It also looks to have been in stasis for a while, is this normal?

  4. #4
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    10,935
    Blog Entries
    2

    Default Re: Leap 15 - no python-MySQL-python

    Quote Originally Posted by joe_fortier View Post
    I see this ticket: https://bugzilla.opensuse.org/show_bug.cgi?id=1074660
    This seems to be the right ticket. But, the 'Beta' (and SLES) designation suggest this may not apply.
    It also looks to have been in stasis for a while, is this normal?
    The Beta designation is SLES 15 (which has had a delayed launch).
    Apparently the most recent entry is that the bug has been re-assigned to the original assignee, and before the re-assignment it looks like there is a suggestion/proposal to switch from a likely deprecated codebase to one that appears to be maintained.

    So,
    Although this might not be at the top of a ToDo at the moment, the bug is very much active and in line to be addressed.
    Since the bug lists the Assignee and QA person, you can PM either or both to get an update.

    TSU
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

  5. #5
    Join Date
    Oct 2008
    Location
    Glasgow, Scotland
    Posts
    1,131

    Default Re: Leap 15 - no python-MySQL-python

    Quote Originally Posted by joe_fortier View Post
    python-MySQL-python exists for 42.3, but not for 15.
    You do not mention what it is that requires python-MySQL-python. Could it be that the required functionality is now provided by e.g. python2-PyMySQL or python3-PyMySQL? Perhaps the calling software can be updated and/or repackaged?
    ~Thank you for sharing an interesting problem.
    --
    slàinte mhath,
    rayH

  6. #6

    Default Re: Leap 15 - no python-MySQL-python

    Quote Originally Posted by eng-int View Post
    You do not mention what it is that requires python-MySQL-python. Could it be that the required functionality is now provided by e.g. python2-PyMySQL or python3-PyMySQL? Perhaps the calling software can be updated and/or repackaged?
    Unfortunately no. My particular requirement is ansible. I've filed a bug request for support of alternate MySQL-python packages on their github support system, and the answer they come back with, most other distro's support the fork of the original package that is maintained (won't fix). Ansible is mentioned in the ticket I referenced in this thread, and the ticket is about the replacement, but unfortunately the package looks to be dropped and no support for the forked version.

  7. #7
    Join Date
    May 2012
    Location
    Finland
    Posts
    2,004

    Default Re: Leap 15 - no python-MySQL-python

    MySQL-Python hasn't received any fixes or updates in 4 years and doesn't support Python 3.0 - that would most likely be the reason why it was dropped.

    That being said, it may still compile vs 15.0 with some patches, perhaps also need specific MySQL libraries/devel packages. Honestly, I don't see it being worth the effort.
    .: miuku #suse @ irc.freenode.net
    :: miuku@opensuse.org

    .: h​ttps://download.opensuse.org/repositories/home:/Miuku/

  8. #8

    Default Re: Leap 15 - no python-MySQL-python

    I get it....

    I'll summarize again.

    I'm using ansible. I know the suse community has solidified support around salt, which is clearly an excellent choice, but for my uses ansible is better (among other thing, I have a lot of aging legacy to support).

    Suse support in ansible is second tier. Ubuntu and Redhat (obviously) get the best support.

    I get that the original python-mysql library is dead. I've no issue with Leap 15 dropping support.
    But....
    Most distros (read Ubuntu/Redhat) seemed to have migrated to a fork:
    https://pypi.org/project/mysqlclient/
    Both the ansible user community and the ansible tech staff indicate that they consider this a suse issue.
    But the suse team see's this as (more or less) an ansible issue.

    I can see both side of this, but I'm left out in the cold.

    There was an open Bugzilla ticket about this. Ansible was explicitly mentioned, and the drop in replacement proposed.
    I'd be happy if the drop in package was offered on an alternate (semi official) repository.
    The ticket was closed, with no real response to the alternate package.

    I could easily compile the alternate library.
    But, this is a poor approach for a config management, requiring a lot of more fragile dependencies, all to allow a DSL for config management to do more or less one time Db management work.

  9. #9
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    3,888

    Default AW: Leap 15 - no python-MySQL-python

    Most distros (read Ubuntu/Redhat) seemed to have migrated to a fork:
    https://pypi.org/project/mysqlclient/
    Maybe you can rebuild this one:
    https://build.opensuse.org/package/s...on-mysqlclient


    EDIT:
    Or this one without rebuild:
    https://build.opensuse.org/package/s...on-mysqlclient
    Last edited by Sauerland; 28-Aug-2018 at 10:43.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •